unable to install microsoft.net framework 1.1 setup

on windows 7 home edition with SP1. I get error

microsoft.net framework1.1 setup has ended premaurely. if this persists, contac product support.
frankbustosAsked:
Who is Participating?
 
Dave BaldwinConnect With a Mentor Fixer of ProblemsCommented:
According to the System Requirements on this page http://www.microsoft.com/en-us/download/details.aspx?id=26 , .NET 1.1 is not supported on Windows 7 or later.
0
 
Giovanni HewardCommented:
What is your requirement for .NET 1.1?  If you have a legacy application which depends upon it, consider virtualizing the application for use across all versions of Windows. VMware ThinApp was designed for this purpose.

The steps involved would include:  1) install a clean version of Windows XP (can be a virtual machine), 2) install the ThinApp application, 3) create a baseline, 4) install .NET 1.1, 5) install your application, 6) test, configure, and verify application, and finally 7) run the ThinApp application again to incorporate all changes into a compiled stand-alone redistributable.

The resulting redistributable could then be used across all windows versions, and would incorporate its own dependencies, along with its own separate file and registry space.

Consider using EMET to mitigate against some vulnerabilities which may exist in the legacy application.  These may never be patched if the developer is no longer supporting the product, or if you do not have access to source code, etc.
0
 
frankbustosAuthor Commented:
ok, thanks!
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.